public static interface DigitalSignatureEndpointBuilderFactory.DigitalSignatureBuilders
| Modifier and Type | Method and Description |
|---|---|
default DigitalSignatureEndpointBuilderFactory.DigitalSignatureEndpointBuilder |
crypto(String path)
Crypto (JCE) (camel-crypto)
Sign and verify exchanges using the Signature Service of the Java
Cryptographic Extension (JCE).
|
default DigitalSignatureEndpointBuilderFactory.DigitalSignatureEndpointBuilder |
crypto(String componentName,
String path)
Crypto (JCE) (camel-crypto)
Sign and verify exchanges using the Signature Service of the Java
Cryptographic Extension (JCE).
|
default DigitalSignatureEndpointBuilderFactory.DigitalSignatureEndpointBuilder crypto(String path)
crypto:cryptoOperation:name
Path parameter: cryptoOperation (required)
Set the Crypto operation from that supplied after the crypto scheme
in the endpoint uri e.g. crypto:sign sets sign as the operation.
There are 2 enums and the value can be one of: sign, verify
Path parameter: name (required)
The logical name of this operation.path - cryptoOperation:namedefault DigitalSignatureEndpointBuilderFactory.DigitalSignatureEndpointBuilder crypto(String componentName, String path)
crypto:cryptoOperation:name
Path parameter: cryptoOperation (required)
Set the Crypto operation from that supplied after the crypto scheme
in the endpoint uri e.g. crypto:sign sets sign as the operation.
There are 2 enums and the value can be one of: sign, verify
Path parameter: name (required)
The logical name of this operation.componentName - to use a custom component name for the endpoint
instead of the default namepath - cryptoOperation:nameApache Camel